Bug 200234 - Cannot mount a Windows 2003 SP1 share using mount.cifs
Cannot mount a Windows 2003 SP1 share using mount.cifs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Layton
Brian Brock
Ok on latest releases of kernel / fed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-26 09:30 EDT by Philippe
Modified: 2014-06-18 03:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 06:44:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe 2006-07-26 09:30:11 EDT
Description of problem:
Cannot mount a Windows 2003 share (not a Domain Controller , only domain member)
Running Service Pack 1 using mount.cifs or mount-t cifs under Fedora Core 5.

Version-Release number of selected component (if applicable):
kernel 2.6.17-1.2157_FC5smp

How reproducible:
always

Steps to Reproduce:
1.echo 1 > /proc/fs/cifs/ExtendedSecurity
2.mount -t cifs //servername/fooshare /tmp/myshare -o user=DOMAIN\myusername
3.it asks for a password .... typing the correct pass.

Actual results:
mount error 95 = Operation not supported
Refer to the mount.cifs(8) manual page (e.g.man mount.cifs)

Expected results:
Mount Ok

Additional info:

samba-3.0.23-1.fc5
samba-common-3.0.23-1.fc5
samba-client-3.0.23-1.fc5

cat /proc/fs/cifs/DebugData 
Display Internal CIFS Data Structures for Debugging
---------------------------------------------------
CIFS Version 1.43
Active VFS Requests: 0
Servers:
Shares:

tail /var/log/messages
Jul 26 15:39:20 localhost kernel:  CIFS VFS: cifs_mount failed w/return code = -
95
Comment 1 Dave Jones 2006-10-16 14:58:14 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jeff Layton 2008-01-15 06:44:28 EST
I'm able to mount Win2k3 shares with CIFS using F8, so closing this with a
resolution of CURRENTRELEASE - F8. Please reopen if you're still having this
problem.
Comment 3 Philippe 2008-01-15 09:18:52 EST
Of course after 1 year the problem has been fixed and it works good on later 
releases of the kernel / fedora releases :) lol
Comment 4 Jeff Layton 2008-01-15 09:31:09 EST
Great! Thanks for verifying it.

Note You need to log in before you can comment on or make changes to this bug.